libzypp 17.38.15

zypp::CachedPublicKeyData::Cache Struct Reference

## Public Member Functions
| Cache ()
void | setDirty ()
void | assertCache (const Pathname &keyring_r)
bool | hasChanged () const

## Public Attributes
std::list< PublicKeyData > | _data

## Private Attributes
scoped_ptr< WatchFile > | _keyringK
scoped_ptr< WatchFile > | _keyringP

## Detailed Description

Definition at line 60 of file keyring_p.h.

## Constructor & Destructor Documentation

## ◆ Cache()

zypp::CachedPublicKeyData::Cache::Cache | ( |  | ) |

Definition at line 62 of file keyring_p.cc.

## Member Function Documentation

## ◆ setDirty()

void zypp::CachedPublicKeyData::Cache::setDirty | ( |  | ) |

Definition at line 64 of file keyring_p.cc.

## ◆ assertCache()

void zypp::CachedPublicKeyData::Cache::assertCache | ( | const Pathname & | keyring_r | ) |

Definition at line 70 of file keyring_p.cc.

## ◆ hasChanged()

bool zypp::CachedPublicKeyData::Cache::hasChanged | ( |  | ) | const

Definition at line 79 of file keyring_p.cc.

## Member Data Documentation

## ◆ _data

std::list<PublicKeyData> zypp::CachedPublicKeyData::Cache::_data

Definition at line 70 of file keyring_p.h.

## ◆ _keyringK

scoped_ptr<WatchFile> zypp::CachedPublicKeyData::Cache::_keyringK
| private

Definition at line 74 of file keyring_p.h.

## ◆ _keyringP

scoped_ptr<WatchFile> zypp::CachedPublicKeyData::Cache::_keyringP
| private

Definition at line 75 of file keyring_p.h.

The documentation for this struct was generated from the following files:

- zypp-common/private/keyring_p.h
- zypp-common/private/keyring_p.cc